/*+*******************************************************************

 File:		PulsedRelay.h

 Project:	Device Servers for Personnel Safety System relays

 Description:	Public include file for the PulsedRelay Class

 Author(s):	Petri Makijarvi

 Original:	September 1991

 Copyright (c) 1991 by European Synchrotron Radiation Facility, 
                       Grenoble, France

********************************************************************-*/
 /*
  $Log:	PulsedRelay.h,v $
   Revision 3.1  93/02/02  16:03:30  16:03:30  petri (Petri Makijarvi)
   Migrating from mars to libra
   
   Revision 3.0  92/03/31  15:30:04  15:30:04  meyer (Jens Meyer)
   New major library release (3.x).
   
   Revision 2.1  92/02/06  16:56:47  16:56:47  petri ()
   Ready for installation
   
   Revision 1.9  92/02/06  16:44:44  16:44:44  petri ()
   Moved from development
   
 * Revision 1.1  91/10/28  13:47:09  13:47:09  petri ()
 * Initial revision
 * 
  */

#ifndef _PulsedRelay_h
#define _PulsedRelay_h

#ifndef _Relay_h
#include <Relay.h>
#endif /* _Relay_h */

/*
  Definition of PulsedRelay Class as a pointer to the class record
 */
typedef struct _PulsedRelayClassRec *PulsedRelayClass;

/*
  Definition of PulsedRelay Object as a pointer to the object record
 */
typedef struct _PulsedRelayRec *PulsedRelay;

/*
  Introduction of the public PulsedRelay Class
 */
extern PulsedRelayClass pulsedRelayClass;

#endif /* _PulsedRelay_h */

 /* end of $Source: /users/d/dserver/classes/interlock/relay/pulsed/include/RCS/PulsedRelay.h,v $ */







